package np.something.DTO;

import np.something.model.Comment;

public class CommentDto {
    public final long id;
    public final String content;
    public final String customerName;
    public final String postTitle;
    public final String postAuthor;

    public CommentDto(Comment comment) {
        this.id = comment.getId();
        this.content = comment.getContent();
        this.customerName = comment.getCustomer().getUsername();
        this.postTitle = comment.getPost().getTitle();
        this.postAuthor = comment.getPost().getCustomer().getUsername();
    }

    public long getId() {
        return id;
    }

    public String getContent() {
        return content;
    }

    public String getCustomerName() {
        return customerName;
    }

    public String getPostTitle() {return postTitle;}

    public String getPostAuthor() {
        return postAuthor;
    }
}
